API referenceOperations
Update a session display label
PATCH
/v1/sessions/{session_id}Strictly updates the optional customer display label. An empty string clears it.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
session_id*string
Match
^sess_[0-9a-f]{16}([0-9a-f]{16})?$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{ "id": "string", "cdp_url": "http://example.com", "status": "active", "display_label": "string", "close_reason": "normal", "attachable": true, "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "closed_at": "2019-08-24T14:15:22Z", "head_checkpoint_id": "string", "origin_checkpoint_id": "string", "checkpoint_count": 0, "direct_child_count": 0, "visible_descendant_count": 0, "visible_descendant_count_truncated": true, "active_operation": { "id": "string", "kind": "checkpoint", "status": "pending", "stage": "string", "stage_sequence": 0, "checkpoint_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "collections": { "checkpoints": "string", "ancestry": "string", "activity": "string", "lineage": "string" }, "parent": { "session_id": "string", "checkpoint_id": "string", "operation_id": "string", "created_at": "2019-08-24T14:15:22Z" }}